package com.zhongshu.card.client.service.school;

import com.zhongshu.card.client.model.org.OrganizationRelationSearch;
import com.zhongshu.card.client.model.school.ShopToSchoolModel;
import com.github.microservice.net.ResultContent;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

/**
 * 学校绑定商户
 *
 * @author TRX
 * @date 2024/6/11
 */
public interface SchoolBingShopService {

    // 学校绑定商户
    ResultContent schoolBingShop(String shopOid);

    // 学校删除商户
    ResultContent deleteSchoolBingShop(String shopOid);

    // 得到信息商户信息
    ResultContent<ShopToSchoolModel> getSchoolBingShop(String shopOid);

    // 学校商户列表
    ResultContent<Page<ShopToSchoolModel>> page(OrganizationRelationSearch param, Pageable pageable);
}
